# Uses of Enum Class org.bukkit.map.MapCursor.Type (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.map, class: MapCursor, enum: Type

# Uses of Enum Class
org.bukkit.map.MapCursor.Type

Packages that use MapCursor.Type
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.map
Classes to facilitate plugin handling of `map` displays.

## Uses of MapCursor.Type in org.bukkit

Methods in org.bukkit that return MapCursor.Type
Modifier and Type
Method
Description
`MapCursor.Type`
StructureType.`getMapIcon()`
Deprecated.
Get the `MapCursor.Type` that this structure can use on maps.

## Uses of MapCursor.Type in org.bukkit.map

Methods in org.bukkit.map that return MapCursor.Type
Modifier and Type
Method
Description
`static @Nullable MapCursor.Type`
MapCursor.Type.`byValue(byte value)`
Deprecated.
Magic value
`@NotNull MapCursor.Type`
MapCursor.`getType()`
Get the type of this cursor.
`static MapCursor.Type`
MapCursor.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapCursor.Type[]`
MapCursor.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.map with parameters of type MapCursor.Type
Modifier and Type
Method
Description
`void`
MapCursor.`setType(@NotNull MapCursor.Type type)`
Set the type of this cursor.
Constructors in org.bukkit.map with parameters of type MapCursor.Type
Modifier
Constructor
Description
``
`MapCursor(byte x, byte y, byte direction, @NotNull MapCursor.Type type, boolean visible)`
Initialize the map cursor.
``
`MapCursor(byte x, byte y, byte direction, @NotNull MapCursor.Type type, boolean visible, @Nullable String caption)`
Initialize the map cursor.
``
`MapCursor(byte x, byte y, byte direction, @NotNull MapCursor.Type type, boolean visible, Component caption)`
Initialize the map cursor.